import { http } from '@/common/utils/request/index'



/*** 通用动态存储过程  需要传入SYSTEM ***/

    // GET
    export const get_storeds = async ( system:string,  data:any, option={} ) => 
        http.get(`/${system}/storeds`, data, option )
    // POST
    export const post_storeds = async ( system:string, data:any, option={} ) => 
        http.post(`/${system}/storeds`, data, option )
    // PUT
    export const put_storeds = async ( system:string, data:any, option={} ) => 
        http.put(`/${system}/storeds`, data, option )
    // DELETE
    export const delete_storeds = async ( system:string, data:any, option={} ) => 
        http.delete(`/${system}/storeds`, data, option )




/*** SEC存储过程  ***/

    // GET
    export const get_sec_storeds = async ( data:any, option={} ) => 
        http.get(`/sec/storeds`, data, option )
    // POST
    export const post_sec_storeds = async ( data:any, option={} ) => 
        http.post(`/sec/storeds`, data, option )
    // PUT
    export const put_sec_storeds = async ( data:any, option={} ) => 
        http.put(`/sec/storeds`, data, option )
    // DELETE
    export const delete_sec_storeds = async ( data:any, option={} ) => 
        http.delete(`/sec/storeds`, data, option )




/*** EDI存储过程  ***/

    // GET
    export const get_edi_storeds = async ( data:any, option={} ) => 
        http.get(`/edi/storeds`, data, option )
    // POST
    export const post_edi_storeds = async ( data:any, option={} ) => 
        http.post(`/edi/storeds`, data, option )
    // PUT
    export const put_edi_storeds = async ( data:any, option={} ) => 
        http.put(`/edi/storeds`, data, option )
    // DELETE
    export const delete_edi_storeds = async ( data:any, option={} ) => 
        http.delete(`/edi/storeds`, data, option )





/*** OMS存储过程  ***/

    // GET
    export const get_oms_storeds =  async ( data:any, option={} ) => 
        http.get(`/oms/storeds`, data, option)
    // POST
    export const post_oms_storeds =  async ( data:any, option={} ) => 
        http.post(`/oms/storeds`, data, option)
    // PUT
    export const put_oms_storeds = async ( data:any, option={} ) => 
        http.put(`/oms/storeds`, data, option )
    // DELETE
    export const delete_oms_storeds = async ( data:any, option={} ) => 
        http.delete(`/oms/storeds`, data, option )




/*** TMS存储过程  ***/

    // GET
    export const get_tms_storeds =  async ( data:any, option={} ) => 
        http.get(`/tms/storeds`, data, option)
    // POST
    export const post_tms_storeds =  async ( data:any, option={} ) => 
        http.post(`/tms/storeds`, data, option)
    // PUT
    export const put_tms_storeds = async ( data:any, option={} ) => 
        http.put(`/tms/storeds`, data, option )
    // DELETE
    export const delete_tms_storeds = async ( data:any, option={} ) => 
        http.delete(`/tms/storeds`, data, option )





/*** WMS存储过程  ***/

    // GET
    export const get_wms_storeds =  async ( data:any, option={} ) => 
        http.get(`/wms/storeds`, data, option)
    // POST
    export const post_wms_storeds =  async ( data:any, option={} ) => 
        http.post(`/wms/storeds`, data, option)
    // PUT
    export const put_wms_storeds = async ( data:any, option={} ) => 
        http.put(`/wms/storeds`, data, option )
    // DELETE
    export const delete_wms_storeds = async ( data:any, option={} ) => 
        http.delete(`/wms/storeds`, data, option )
